<?php
require_once WWWROOT  . 'config/config.sids.php';
require_once WWWROOT  . 'config/config.php';
if(IS_DEBUF){
    date_default_timezone_set('PRC');
}else{
    date_default_timezone_set('UTC');
}

//define( 'NOW', time());
//defined('START_TIME') or define('START_TIME', microtime(true));


$isTset=IS_DEBUF?'_test':'';//测试环境判别

//配置环境选择
define( 'COM_CFG', WWWROOT . 'config/common/');

//语言选择
$lang = $_REQUEST['lang'] ?? 'en';
$lang = strtolower($lang);
$fileLang = WWWROOT . 'lang/cc_lang.'.$lang.'.php';
if(file_exists($fileLang)) {
    define( 'LANG', $lang);
    define( 'PATH_LNG', $fileLang);
}else {
    define( 'LANG', 'en');
    define( 'PATH_LNG', WWWROOT . 'lang/cc_lang.en.php');
}
define( 'PATH_DAT', WWWROOT.'deBUG/');
define( 'PATH_LIB', WWWROOT . 'lib/');
define( 'PATH_CRO', WWWROOT . 'crontab/');
define( 'PATH_MOD', WWWROOT . 'model/');
define( 'PATH_UTI', WWWROOT . 'utils/');
define('PATH_API',WWWROOT.'api/');
require_once PATH_LIB . 'class.phperror.php';
include_once PATH_LIB . 'autoloader.php';
autoloader::autoload();
//error_reporting( PRODUCTION_SERVER ? 0 : E_ALL ^ E_NOTICE); //根据是否产品
error_reporting(E_ALL); //根据是否产品

